#app.py
import os
from flux_app.frontend import Frontend
from flux_app.backend import ModelManager

if __name__ == "__main__":
    # Get the Hugging Face token from an environment variable
    hf_token = os.environ.get("HF_TOKEN")

    if not hf_token:
        raise ValueError("Hugging Face token (HF_TOKEN) not found in environment variables.  Please set it.")
    model_manager = ModelManager(hf_token=hf_token)

    frontend = Frontend(model_manager)
    app = frontend.create_ui()
    app.queue()
    app.launch()